# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.85"
name = "pgpaw"
version = "0.2.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Read-only Postgres cache + realtime server over an embedded pglite logical replica"
readme = "README.md"
license = "MIT"
repository = "https://github.com/Midwess/PgPaw"

[lib]
name = "pgpaw"
path = "src/lib.rs"

[[bin]]
name = "pgpaw"
path = "src/main.rs"

[dependencies.actix-cors]
version = "0.7"

[dependencies.actix-web]
version = "4"

[dependencies.clap]
version = "4"
features = [
    "derive",
    "env",
]

[dependencies.jsonwebtoken]
version = "9"

[dependencies.moka]
version = "0.12"
features = ["future"]

[dependencies.pglite-rs]
version = "0.2.6"
features = [
    "replica",
    "multiple-process",
]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sqlparser]
version = "0.52"
features = ["visitor"]

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
    "sync",
    "time",
]

[dependencies.tokio-postgres]
version = "0.7"

[dependencies.tokio-stream]
version = "0.1"
